declare const _default: import("@vue/runtime-core").DefineComponent<{
    accurateJumper: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    appendToBody: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    currentPage: {
        type: NumberConstructor;
        default: () => number;
    };
    disabled: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    hideOnSinglePage: BooleanConstructor;
    isBeforePageChange: BooleanConstructor;
    layout: StringConstructor;
    mode: StringConstructor;
    nextText: StringConstructor;
    pageCount: NumberConstructor;
    pageSize: {
        type: NumberConstructor;
        default: () => number;
    };
    pageSizes: {
        type: ArrayConstructor;
        default: () => number[];
    };
    pagerCount: {
        type: NumberConstructor;
        validator: (value: number) => boolean;
        default: () => number;
    };
    popperAppendToBody: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    showTotalLoading: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    customTotal: {
        type: (StringConstructor | BooleanConstructor)[];
        default: () => boolean;
    };
    popperClass: StringConstructor;
    prevText: StringConstructor;
    total: NumberConstructor;
    changeCompat: BooleanConstructor;
    tiny_mode: StringConstructor;
    tiny_mode_root: BooleanConstructor;
    tiny_template: (ObjectConstructor | FunctionConstructor)[];
    tiny_renderless: FunctionConstructor;
    tiny_theme: StringConstructor;
    tiny_chart_theme: ObjectConstructor;
}, unknown, {
    internalCurrentPage: number;
    internalPageSize: number;
    lastEmittedPage: number;
    userChangePageSize: boolean;
    internalTotal: number | undefined;
}, {
    totalText(): any;
    internalPageCount(): number | null;
    internalLayout(): string;
}, {
    canJumperGo(): boolean;
    beforeSizeChangeHandler(params: any): void;
    beforePagerChangeHandler(params: any): void;
    beforeJumperChangeHandler(params: any): void;
    copyEmit(...args: any[]): void;
    beforeChangeHandler(val?: number): boolean;
    handleCurrentChange(val: any): false | undefined;
    prev(): void;
    next(): void;
    buildBeforePageChangeParam(param: any): any;
    getValidCurrentPage(val: any): any;
    emitChange(): void;
    setTotal(val: any): void;
}, import("@vue/runtime-core").ComponentOptionsMixin, import("@vue/runtime-core").ComponentOptionsMixin, {}, string, import("@vue/runtime-core").PublicProps, Readonly<import("@vue/runtime-core").ExtractPropTypes<{
    accurateJumper: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    appendToBody: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    currentPage: {
        type: NumberConstructor;
        default: () => number;
    };
    disabled: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    hideOnSinglePage: BooleanConstructor;
    isBeforePageChange: BooleanConstructor;
    layout: StringConstructor;
    mode: StringConstructor;
    nextText: StringConstructor;
    pageCount: NumberConstructor;
    pageSize: {
        type: NumberConstructor;
        default: () => number;
    };
    pageSizes: {
        type: ArrayConstructor;
        default: () => number[];
    };
    pagerCount: {
        type: NumberConstructor;
        validator: (value: number) => boolean;
        default: () => number;
    };
    popperAppendToBody: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    showTotalLoading: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    customTotal: {
        type: (StringConstructor | BooleanConstructor)[];
        default: () => boolean;
    };
    popperClass: StringConstructor;
    prevText: StringConstructor;
    total: NumberConstructor;
    changeCompat: BooleanConstructor;
    tiny_mode: StringConstructor;
    tiny_mode_root: BooleanConstructor;
    tiny_template: (ObjectConstructor | FunctionConstructor)[];
    tiny_renderless: FunctionConstructor;
    tiny_theme: StringConstructor;
    tiny_chart_theme: ObjectConstructor;
}>>, {
    disabled: boolean;
    currentPage: number;
    pageSize: number;
    appendToBody: boolean;
    tiny_mode_root: boolean;
    popperAppendToBody: boolean;
    changeCompat: boolean;
    accurateJumper: boolean;
    hideOnSinglePage: boolean;
    isBeforePageChange: boolean;
    pageSizes: unknown[];
    pagerCount: number;
    showTotalLoading: boolean;
    customTotal: string | boolean;
}, {}>;
export default _default;
